Wt: Wt::WLayoutItem Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
Wt::WLayoutItem Class Reference

An abstract base class for items that can participate in a layout. More...

`#include <Wt/WLayoutItem>`

Inheritance diagram for Wt::WLayoutItem:
[legend]

List of all members.

## Public Member Functions
virtual | ~WLayoutItem ()
| Destructor.
virtual WWidgetItem * | findWidgetItem (WWidget *widget)=0
| Finds the widget item corresponding to the given widget
virtual WLayout * | layout ()=0
| Returns the layout that implements this WLayoutItem.
virtual WWidget * | widget ()=0
| Returns the widget that is held by this WLayoutItem.
virtual WLayout * | parentLayout () const =0
| Returns the layout in which this item is contained.
virtual WLayoutItemImpl * | impl () const =0
| Returns the implementation for this layout item.
## Private Member Functions
virtual void | setParentWidget (WWidget *parent)=0
| Internal method.
virtual void | setParentLayout (WLayout *parentLayout)=0
| Internal method.

## Detailed Description

An abstract base class for items that can participate in a layout.

See also:
  WLayout

## Member Function Documentation

virtual WWidgetItem* Wt::WLayoutItem::findWidgetItem | ( | WWidget * | widget | ) | `[pure virtual]`

Finds the widget item corresponding to the given widget

The widget is searched for recursively inside nested layouts.

Implemented in Wt::WLayout, and Wt::WWidgetItem.

virtual WLayoutItemImpl* Wt::WLayoutItem::impl | ( |  | ) | const`[pure virtual]`

Returns the implementation for this layout item.

The implementation of a layout item depends on the kind of container for which the layout does layout management.

Implemented in Wt::WLayout, and Wt::WWidgetItem.

virtual WLayout* Wt::WLayoutItem::layout | ( |  | ) | `[pure virtual]`

Returns the layout that implements this WLayoutItem.

This implements a type-safe upcasting mechanism to a WLayout.

Implemented in Wt::WLayout, and Wt::WWidgetItem.

virtual WWidget* Wt::WLayoutItem::widget | ( |  | ) | `[pure virtual]`

Returns the widget that is held by this WLayoutItem.

This implements a type-safe upcasting mechanism to a WWidgetItem.

Implemented in Wt::WLayout, and Wt::WWidgetItem.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator